
%define name	linuxdcpp
%define version	0
%define snapshot 20070309
%define rel	1
%define distsuffix plf

%define release	%mkrel 0.%snapshot.%rel

# for menu
%define title	LinuxDC++
%define comment	Direct Connect client

Summary:	A DC++ port for Linux
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Networking/File transfer
URL:		http://linuxdcpp.berlios.de/
Source:		%name-%snapshot.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-root
Obsoletes:	linuxdc++ < 0-20070000
Provides:	linuxdc++
BuildRequires:	glib2-devel >= 2.4
BuildRequires:	gtk+2-devel >= 2.6
BuildRequires:	libglade2.0-devel >= 2.4
BuildRequires:	bzip2-devel
BuildRequires:	zlib-devel
BuildRequires:	openssl-devel
BuildRequires:	scons
BuildRequires:	ImageMagick

%description
LinuxDC++ is a project to port the DC++ Direct Connect client for
Linux.

This package is in PLF because it contains P2P software.

%prep
%setup -q -n %name
perl -pi -e 's|-O3|%optflags|' SConstruct

%build
scons PREFIX="%{_prefix}" release=1

%install
rm -rf %{buildroot}
scons PREFIX="%{_prefix}" FAKE_ROOT="%{buildroot}" release=1 install

rm -v %{buildroot}%{_datadir}/doc/linuxdcpp/*

install -d -m755 %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%name):command="%{_bindir}/%{name}" \
		icon="%{name}.png" \
		needs="x11" \
		section="Internet/File Transfer" \
		title="%{title}" \
		longtitle="%{comment}" \
		xdg="true"
EOF

install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{comment}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;X-MandrivaLinux-Internet-FileTransfer;Network;FileTransfer;P2P;
EOF

install -d -m755 %{buildroot}%{_miconsdir}
install -d -m755 %{buildroot}%{_iconsdir}
install -d -m755 %{buildroot}%{_liconsdir}

convert pixmaps/linuxdcpp.png -resize 16x16 %{buildroot}%{_miconsdir}/%{name}.png
convert pixmaps/linuxdcpp.png -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert pixmaps/linuxdcpp.png -resize 48x48 %{buildroot}%{_liconsdir}/%{name}.png

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc *.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop
%{_menudir}/%{name}

%changelog
* Fri Mar 09 2007 Anssi Hannula <anssi@zarb.rog> 0-0.20070309.1plf2007.1
- new snapshot
- author streamlined naming, rename pkg to match

* Thu Oct 26 2006 Anssi Hannula <anssi@zarb.rog> 0-20061026.1plf2007.0
- new snapshot

* Thu Aug 31 2006 Anssi Hannula <anssi@zarb.rog> 0-20060831.1plf2007.0
- new snapshot

* Fri Aug 11 2006 Anssi Hannula <anssi@zarb.org> 0-20060811.1plf2007.0
- initial PLF release
